package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

import cn.net.caoyao.cpzshandset.common.config.Config;

@SuppressWarnings("serial")
public class PackBean implements Serializable{
	private int id;//id：表ID,主键自增
	private String describe;//describe：描述
	private int count;// count：预设数量
	private String package_label_id;// package_label_id：包标签
	private int option_mode = Config.SINGLE_OPTION_LABEL_TYPE;// option_mode：0：单标激活 1：批量激活
	private int status = 0;// status：提交状态  0：未提交  1：提交失败
	private int error_code =0;//error_code：服务器返回的错误码
	private String createDate;// createDate：创建时间
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	public int getCount() {
		return count;
	}
	public void setCount(int count) {
		this.count = count;
	}
	public String getPackage_label_id() {
		return package_label_id;
	}
	public void setPackage_label_id(String package_label_id) {
		this.package_label_id = package_label_id;
	}
	public int getOption_mode() {
		return option_mode;
	}
	public void setOption_mode(int option_mode) {
		this.option_mode = option_mode;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	@Override
	public String toString() {
		return "PackBean [id=" + id + ", describe=" + describe + ", count=" + count + ", package_label_id="
				+ package_label_id + ", option_mode=" + option_mode + ", status=" + status + ", error_code="
				+ error_code + ", createDate=" + createDate + "]";
	}
	
}
